Bug 437129 - Rpm install fails due to missing symbols required in myri10ge-kmod x86_64 rpm
Rpm install fails due to missing symbols required in myri10ge-kmod x86_64 rpm
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.1
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Jon Masters
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-12 11:41 EDT by Ed Brown
Modified: 2009-01-20 15:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:23:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
kmod rpm specfile for myri10ge ethernet driver (3.19 KB, text/plain)
2008-03-12 11:57 EDT, Ed Brown
no flags Details
kmodtool used for test; basically rhel version, without rpm call (6.64 KB, text/plain)
2008-03-12 11:58 EDT, Ed Brown
no flags Details
437129-whitelist-mtrr_add-mtrr_del.patch (948 bytes, application/octet-stream)
2008-08-21 11:57 EDT, Jon Masters
no flags Details

  None (edit)
Description Ed Brown 2008-03-12 11:41:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.12) Gecko/20080201 Red Hat/1.5.0.12-0.10.el4 Firefox/1.5.0.12 pango-text

Description of problem:
A kmod rpm built for myri10ge (Myricom 10Gbs ethernet driver) fails to install on x86_64, though it will install on i686.  Need to have these symbols added to whitelist for x86_64:
ksym(mtrr_del)
ksym(mtrr_add)

Version-Release number of selected component (if applicable):
myri10ge-1.4.1

How reproducible:
Always


Steps to Reproduce:
1. Download module source from http://www.myri.com/ftp/pub/Myri10GE/myri10ge-linux.1.4.1.tgz
2. Use attached specfile and kmodtool
3. Build rpm on RHEL5.x86_64
4. Try to install rpm on RHEL5.x86_64

Actual Results:
# rpm -Uvh kmod-myri10ge-1.4.1-1.x86_64.rpm
error: Failed dependencies:
      ksym(mtrr_del) = 272d394e is needed by kmod-myri10ge-1.4.1-1.x86_64
      ksym(mtrr_add) = 56179c5f is needed by kmod-myri10ge-1.4.1-1.x86_64


Expected Results:
Rpm should have installed, like it does for i686

Additional info:
Jarod Wilson, jwilson@redhat.com, said this: "Okay, just double-checked... mtrr_add and mtrr_del are on the kabi whitelist for i686, but not for x86_64."
(see https://www.redhat.com/archives/rhelv5-list/2008-March/thread.html#00037 )
Comment 1 Ed Brown 2008-03-12 11:57:13 EDT
Created attachment 297795 [details]
kmod rpm specfile for myri10ge ethernet driver
Comment 2 Ed Brown 2008-03-12 11:58:40 EDT
Created attachment 297798 [details]
kmodtool used for test; basically rhel version, without rpm call
Comment 3 Jon Masters 2008-04-03 03:49:52 EDT
Indeed. These symbols will be considered in the next update (5.3). Meanwhile, I
can show you how to disable the checking for these symbols in your RPM, if you
would like a temporary workaround?
Comment 4 Ed Brown 2008-04-03 10:29:09 EDT
(In reply to comment #3)
> Indeed. These symbols will be considered in the next update (5.3). Meanwhile, I
> can show you how to disable the checking for these symbols in your RPM, if you
> would like a temporary workaround?

Thank you, and yes I'd be interested in a workaround, here or off-list
(off-zilla, as it were), as you'd like.  

-Ed
Comment 5 RHEL Product and Program Management 2008-07-21 19:05:05 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 7 Jon Masters 2008-08-21 11:46:39 EDT
I have posted the attached patch internally for consideration in the 5.3 kernel. It is now awaiting internal discussion and signoff. I will update this bug with the results from that process. In the meantime, please let me know if you are planning to ship a module on systems prior to 5.3 and require a temporary workaround for this whitelist omission.
Comment 8 Jon Masters 2008-08-21 11:57:26 EDT
Created attachment 314723 [details]
437129-whitelist-mtrr_add-mtrr_del.patch
Comment 9 Don Zickus 2008-09-15 10:16:48 EDT
in kernel-2.6.18-115.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 12 errata-xmlrpc 2009-01-20 15:23:30 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.